<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [EventEmitter](./puppeteer.eventemitter.md) &gt; [emit](./puppeteer.eventemitter.emit.md)

## EventEmitter.emit() method

Emit an event and call any associated listeners.

<b>Signature:</b>

```typescript
emit(event: EventType, eventData?: any): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  event | EventType | the event you'd like to emit |
|  eventData | any | any data you'd like to emit with the event |

<b>Returns:</b>

boolean

`true` if there are any listeners, `false` if there are not.

